org.jboss.jca.core.security.picketbox

## Class PicketBoxSecurityIntegration

- java.lang.Object
- - org.jboss.jca.core.security.picketbox.PicketBoxSecurityIntegration

- All Implemented Interfaces:
    org.jboss.jca.core.spi.security.SecurityIntegration

      public class PicketBoxSecurityIntegration
      extends java.lang.Object
      implements org.jboss.jca.core.spi.security.SecurityIntegration

  SecurityIntegration implementation using PicketBox
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PicketBoxSecurityIntegration()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.security.auth.callback.CallbackHandler` | `createCallbackHandler()` Create a default callback handler
    `javax.security.auth.callback.CallbackHandler` | `createCallbackHandler(org.jboss.jca.core.spi.security.Callback callback)` Create a callback handler
    `org.jboss.jca.core.spi.security.SecurityContext` | `createSecurityContext(java.lang.String sd)` Create a security context
    `org.jboss.jca.core.spi.security.SecurityContext` | `getSecurityContext()` Get the security context
    `void` | `setSecurityContext(org.jboss.jca.core.spi.security.SecurityContext context)` Set the security context

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PicketBoxSecurityIntegration

          public PicketBoxSecurityIntegration()

      Constructor

  - ### Method Detail

    - #### createSecurityContext

          public org.jboss.jca.core.spi.security.SecurityContext createSecurityContext(java.lang.String sd)
                                                                                throws java.lang.Exception

      Create a security context
      Specified by:
        `createSecurityContext` in interface `org.jboss.jca.core.spi.security.SecurityIntegration`
      Parameters:
        `sd` - The security domain
      Returns:
        The context
      Throws:
        `java.lang.Exception` - Thrown in case of an error

    - #### getSecurityContext

          public org.jboss.jca.core.spi.security.SecurityContext getSecurityContext()

      Get the security context
      Specified by:
        `getSecurityContext` in interface `org.jboss.jca.core.spi.security.SecurityIntegration`
      Returns:
        The context, or `null` if unset

    - #### setSecurityContext

          public void setSecurityContext(org.jboss.jca.core.spi.security.SecurityContext context)

      Set the security context
      Specified by:
        `setSecurityContext` in interface `org.jboss.jca.core.spi.security.SecurityIntegration`
      Parameters:
        `context` - The context

    - #### createCallbackHandler

          public javax.security.auth.callback.CallbackHandler createCallbackHandler()

      Create a default callback handler
      Specified by:
        `createCallbackHandler` in interface `org.jboss.jca.core.spi.security.SecurityIntegration`
      Returns:
        The handler

    - #### createCallbackHandler

          public javax.security.auth.callback.CallbackHandler createCallbackHandler(org.jboss.jca.core.spi.security.Callback callback)

      Create a callback handler
      Specified by:
        `createCallbackHandler` in interface `org.jboss.jca.core.spi.security.SecurityIntegration`
      Parameters:
        `callback` - The callback configuration
      Returns:
        The handler

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)